module.exports = {
    logLevel: process.env.APP_JOINEVENT_LOG_LEVEL || "INFO",
    bindAddress: process.env.APP_JOINEVENT_BIND_ADDRESS || "0.0.0.0",
    port: process.env.APP_JOINEVENT_PORT ? parseInt(process.env.APP_JOINEVENT_PORT) : 9000,
    homeserverName: process.env.APP_JOINEVENT_HOMESERVER_NAME || "matrix-local.eclipse.org",
    homeserverUrl: process.env.APP_JOINEVENT_HOMESERVER_URL || "https://matrix-local.eclipse.org",
    asToken: process.env.APP_JOINEVENT_AS_TOKEN || "wfghWEGh3wgWHEf3478sHFWE",
    hsToken: process.env.APP_JOINEVENT_HS_TOKEN || "ugw8243igya57aaABGFfgeyu",
    botName: process.env.APP_JOINEVENT_BOT_NAME || "EF_policy_bot",
    namespace: process.env.APP_JOINEVENT_NAMESPACE || null,
    serverNoticesBot: process.env.APP_JOINEVENT_SERVER_NOTICES_BOT || "eclipsewebmaster",
    joinRoomAlias: process.env.APP_JOINEVENT_ROOM_ALIAS || "Eclipse Foundation Policy Bot",
    joinMessage: process.env.APP_JOINEVENT_MESSAGE || "You've just joined `roomAlias`. To continue using Chat Service at Eclipse Foundation you must review and agree to the terms and conditions at " + (process.env.APP_JOINEVENT_HOMESERVER_URL || "https://matrix-local.eclipse.org") + "/_matrix/consent",
    directMessage: process.env.APP_JOINEVENT_DIRECT_MESSAGE || false,
    skipMessage: process.env.APP_JOINEVENT_SKIP_MESSAGE || false,
    excludeJoinMessageRegex: process.env.APP_JOINEVENT_EXCLUDE_JOIN_MESSAGE_REGEX || [],
    dataPath: process.env.APP_JOINEVENT_DATA_PATH || "./data",
}